METHODOVERRIDE()

NAME
methodOverride

Method Override
The methodOverride middleware checks req.body._method (by default) in order to swap out the http request method. The bodyDecoder middleware will populate req.body when a form is submitted, which when paired with this middleware will allow the router middleware to support RESTful forms.

  Options

key   Defaults to _method

  Environment Variables

--methodOverrideKey

  See Also

•   body-decoder